QGIS Application - Bug report #17604
3D buildings are no longer working in 3D canvas
2017-12-01 06:12 PM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25501
Description

The buildings do not render correctly in the latest version of master (19b062c¢)

Attached is the file that used to work.

Associated revisions

Revision b773d617 - 2017-12-04 10:28 PM - Martin Dobias
[3d] Tessellator fixes + culling mode configuration for 3D polygons
- missing vertical walls since a recent tessellator crash fix (fixes #17604)

- choice of the culling mode - no culling / back face / front face (fixes #17619)

- more unit tests for tessellator

History

#1 - 2017-12-01 06:26 PM - Saber Razmjooei

Here is the link:

https://www.dropbox.com/s/rmcoziv68rj1nci/manhattan.gpkg?di=0

#2 - 2017-12-05 10:54 AM - Martin Dobias
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|b773d617b12680387ba7355186840165d469c2a4.

#3 - 2017-12-05 06:55 PM - Giovanni Manghi
- Resolution set to fixed/implemented

2025-06-13

1/1



https://www.dropbox.com/s/rmcoziv68rj1nci/manhattan.gpkg?dl=0

